Bug 1269958 - xorg-x11-server update breaks KDE dual-monitor setup with intel/nouveau
xorg-x11-server update breaks KDE dual-monitor setup with intel/nouveau
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 11:25 EDT by Fredy Neeser
Modified: 2016-07-19 15:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:19:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (53.56 KB, text/plain)
2015-10-08 11:40 EDT, Fredy Neeser
no flags Details
Journal part 1 showing boot up to first login to KDE (493.37 KB, text/plain)
2015-10-08 11:42 EDT, Fredy Neeser
no flags Details
Journal part 2 showing suspend/resume followed by logout/login leading to working KDE desktop (67.42 KB, text/plain)
2015-10-08 11:44 EDT, Fredy Neeser
no flags Details

  None (edit)
Description Fredy Neeser 2015-10-08 11:25:49 EDT
Description of problem:
The update to xorg-x11-server* 1.17.2-2.fc22.2 causes two *new* problems:

1.  KDE now often comes up (after boot and first login) without any widgets on the external monitor (=primary display), just showing the KDE menu, and with the LVDS having a black background but otherwise working.
I found that a logout/login cycle often fixes this problem.
Possibly unrelated, plasmashell then crashed at kde login, as I reported here:
  https://bugs.kde.org/show_bug.cgi?id=353681

2.  Also, KDE (or its kscreen component) with the new xorg has more difficulty to decide where the primary display is located -- during KDE startup (first startup after reboot), the primary display (KDE panel, widgets etc.) is being visibly moved from LVDS to the external monitor.

These problems did *not* exist with the previous xorg-x11-server* version
(1.17.1-11.fc22).

Version-Release number of selected component (if applicable):
  xorg-x11-server-Xorg.x86_64 1.17.2-2.fc22.2
  xorg-x11-server-Xwayland.x86_64 1.17.2-2.fc22.2
  xorg-x11-server-common.x86_64 1.17.2-2.fc22.2
  xorg-x11-drv-libinput.x86_64 0.14.0-1.fc22


How reproducible:
Every time. After boot/first login to KDE, one or more logout/login cycles are needed to eventually get a fully working desktop.

Steps to Reproduce:
- Boot into kernel 4.1.3-201.fc22.x86_64 (with newer fedora kernels
  from 4.1.4 ... 4.1.6, the external monitor does not work at all !!!)

- Login to KDE takes a long time:
  - First, dolphin windows appear CENTERED on the composite
    (LVDS + ext. monitor) display (NEW BEHAVIOR with this xorg)
  - KDE desktop is briefly shown on wrong screen (LVDS)
  - Shortly thereafter, KDE desktop (including wallpaper and widgets)
    reappears briefly on the external monitor
  - Finally, KDE desktop looks as follows (broken):
    - External monitor:
      - Desktop background and widgets have disappeared
      - KDE panel and menu are present and working
    - LVDS:
      - Black background, but windows moved to it are displayed

- Logout/login again (test 1)
  - The KDE desktop appears correctly
    - External monitor shows wallpaper and widgets
    - LVDS shows background (blue graphical pattern)
  - KDE menu does NOT work (does not open when I click on it)
  - No Logout/Restart/Shutdown buttons
  - But after a couple of minutes, KDE menu suddenly DOES work

- Logout/login again (test 2)
  - The KDE desktop appears correctly
    - External monitor shows background (wallpaper) and widgets
    - LVDS shows background (blue graphical pattern)
  - KDE menu DOES work immediately


Actual results:
- After boot, first KDE login
  - creates and then relocates the primary display (slow)
  - results in broken desktop (missing widgets)
  - centers most windows on the edge between LVDS and external monitor
- Need one or more logout/login cycles to get a working desktop

Expected results:
- KDE login should create the primary display directly on configured monitor
- After boot, first KDE login should
  - result in a working desktop
  - recreate windows wherever they were at logout
Comment 1 Fredy Neeser 2015-10-08 11:40 EDT
Created attachment 1081047 [details]
Xorg log file
Comment 2 Fredy Neeser 2015-10-08 11:42 EDT
Created attachment 1081048 [details]
Journal part 1 showing boot up to first login to KDE
Comment 3 Fredy Neeser 2015-10-08 11:44 EDT
Created attachment 1081049 [details]
Journal part 2 showing suspend/resume followed by logout/login leading to working KDE desktop
Comment 4 Alberto Ferrante 2015-10-13 07:48:29 EDT
I started having a similar problem after the last Xorg update (1.17.2-2)
on a single display setup (KDE takes a long time to start after login; the screen is black with multiple messages stating that Plasma has crashed). I am using Nvidia proprietary drivers. Rolling back to xorg-x11-server-Xorg-1.17.1-11.fc22.x86_64 seems to fix the problem.
Comment 5 Fredy Neeser 2015-10-20 06:41:17 EDT
I no longer think that the update to xorg-x11-server* 1.17.2-2.fc22.2 was the culprit.

The strange behavior of the KDE desktop started around Oct. 5, when I had also updated to KDE frameworks 5.14 (kf5* 5.14.0-1.fc22).

Upgrading to KDE frameworks 5.15 resolved these problems for me, see Comment 14 on
  https://bugzilla.redhat.com/show_bug.cgi?id=1269004
  plasma-workspace 5.4.1-3-fc22 has a delay over 20 seconds upon login
Comment 6 Fedora End Of Life 2016-07-19 15:19:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.